gnutls_oprfi_enable_client(3)

NAME
gnutls_oprfi_enable_client - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_oprfi_enable_client(gnutls_session_t session, size_t len, unsigned char * data);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t len
    length of Opaque PRF data to use in client.

unsigned char * data
    Opaque PRF data to use in client.

DESCRIPTION
Request that the client should attempt to negotiate the Opaque PRF Input TLS extension, using the given data as the client's Opaque PRF input. The data is copied into the session context after this call, so you may de-allocate it immediately after calling this function.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.